toolzerhub API Docs

Get main-card fights around a date (v1)

Returns main-card fights from 3.5 days before to 4.5 days after date, in start order. extended reaches 8.5 days after. Nothing found returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/mma/main-events

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

date?string

Day in YYYY-MM-DD. Defaults to today (UTC).

Match^\d{4}-\d{2}-\d{2}$
timezone_offset?|

UTC offset in seconds that sets the day boundaries, such as 0, 3600 or -18000.

Range-43200 <= value <= 50400
Default0
extended?"true"

true to look 8.5 days ahead instead of 4.5.

Value in

  • "true"
curl -X GET "https://example.com/v1/sofascore/mma/main-events" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "string",    "message": "string"  }}